QGIS Application - Bug report #10

QgsProjectionSelector::getCurrentLongAttribute has incomplete return path

2006-03-24 01:26 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Projection Support

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10094
Description

In member function QgsProjectionSelector::getCurrentLongAttribute, file
qgis/src/widgets/projectionselector/qgsprojectionselector.cpp(414),
not all control paths return a value

Possible problem is that return value of long type may be uninitialized - invalid.

Associated revisions

Revision 4fa2d65e - 2007-11-22 07:49 PM - Tim Sutton

This is a test commit for svn maintenance. Please ignore.
refs #10 see also #22

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@7641 c8812cc2-4d05-0410-92ff-de0c093fc19¢

Revision d404b6ed - 2007-11-22 07:49 PM - Tim Sutton

This is a test commit for svn maintenance. Please ignore.
refs #10 see also #22

git-svn-id: http://svn.osgeo.org/qgis/trunk@7641 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2006-04-18 01:17 AM - Gavin Macaulay -
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in svn commit:54681bdb (SVN r5299)

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
